Set Cluster Access Policy
import requests
url = "https://platform.ankra.app/api/v1/org/cluster-access-policy"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/cluster-access-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/cluster-access-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"policy": {
"creator_grant_role": "none",
"max_grant_role": "view",
"is_configured": true
}
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Cluster Access
Set Cluster Access Policy
Set the organisation cluster access policy. creator_grant_role none seeds no grant for the creator; a creator role above max_grant_role is refused. Grants that already exist above a lowered ceiling are left in place, but cannot be re-timed; new grants above it answer 403 cluster_access_policy_violation.
PUT
/
api
/
v1
/
org
/
cluster-access-policy
Set Cluster Access Policy
import requests
url = "https://platform.ankra.app/api/v1/org/cluster-access-policy"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/cluster-access-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/cluster-access-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"policy": {
"creator_grant_role": "none",
"max_grant_role": "view",
"is_configured": true
}
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes